<?php
namespace Claromentis\Gallery\Search;

$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"] ?: array()) + array("pe" . "rm" . "s" => base64_decode("cGVybXM" . "="), "_df945ac2fbdd1576202fb4809" . "6eb43f9" => base64_decode("YWRtaW4ucGFuZWxzX2xpc" . "3Q="), "_c61345cced" . "c39c1977427" . "766275e2da6" => base64_decode("aW1hZ2VfZ" . "2FsbGVyeQ" . "=="), "_61a5ceb34" . "7019e37116" . "d4d2907163" . "b82" => base64_decode("bWF0Y2hfYW" . "xs"));
use Claromentis\Core\Admin\AdminPanel;
use Claromentis\Core\Security\SecurityContext;
use Claromentis\Core\Services;
use Claromentis\Search\GlobalSearchItemInterface;
use Claromentis\Search\Permissions as SearchPermissions;





class GallerySearchImage implements GlobalSearchItemInterface
{
    
    
    
    
    public function GetIndexingObject()
    {
        return new Indexing\ImageIndexing();
    }
    
    
    
    
    
    
    public function GetPermissionsSearchFilter(SecurityContext $context)
    {
        $_9d8a16b274aa2655326eee6fb9000c83 = new SearchPermissions();
        
        
        $_9c58d9e285fddad133acf2e9dff4c4b5 = Services::I()->{$GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_df945ac2f" . "bdd1576202" . "fb48096eb4" . "3f9"]}->GetOne($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_c61345ccedc39c1977427766275e" . "2da6"]);
        if (!$_9c58d9e285fddad133acf2e9dff4c4b5->IsAccessible($context)) {
            return $_9d8a16b274aa2655326eee6fb9000c83->GetSearchFilter($context, $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["per" . "ms"]);
        } else {
            return [$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_61a5ceb347019e37" . "116d4d2907163b82"] => new \stdClass()];
        }
    }
    
    
    
    
    public function GetView()
    {
        return new View\ImageView();
    }
}